Software recommendation: let Windows update control more free

The update program that comes with Windows is not user-friendly enough, and users do not have much freedom to choose updates. By using ABC-Update software to manage Windows updates, you can select updates on demand and avoid forcing unnecessary components to be updated.

First launch ABC-Update software, click the This system button in the bottom right corner, and add the currently active Windows system to the Targets list (Figure 1).

1921A-WINUP-1

To automatically install Windows update packages, first select Update source type as MS Update in the Basics grouping box. select Install for the Action action option and select Power management automatic action after the end action, where Sleep is selected for Sleep, Reboot is selected for Reboot, Hibernate is selected for Hibernate, Shutdown is selected for Hibernate, and Nothing is selected for No action. If you select List Missing in the Action option, all available Windows updates that have not been installed will be listed.

Next, in the Update Selection grouping box in the Categories list, select the update items, including Security Updates, Application Updates, ServicePacks, FeaturePacks, etc., and in the In the Update Type, select the Software or Driver type (Figure 2).

1921A-WINUP-2

If you need to search for the update by the KB number of the upgrade package, just enter the KB number in the KB Article box.

If you want to run the update immediately, click the Schedule button, check the Run immediately checkbox, and then click the Run Now button (Figure 3).

1921A-WINUP-3

If you want to specify a time period for the schedule to run so that the update will automatically run on time, first uncheck the Run immediately checkbox, then specify the start time and end time, and finally click the Schedule button to let the schedule take effect (Figure 4). After that, the system can execute the automatic update according to the conditions set by the user.

1921A-WINUP-4

Tip: ABC-Update is compatible with all versions of Windows starting with Windows XP. It requires Microsoft .NET Framework 2.0 or .NET Framework 4.5 or higher to be installed on the system and requires that the Microsoft Automatic Update Service is not currently disabled.

QQ图片20210420165237

Leave a Comment